[prev in list] [next in list] [prev in thread] [next in thread] 

List:       gentoo-commits
Subject:    [gentoo-commits] repo/gentoo:master commit in: net-misc/ucarp/files/, net-misc/ucarp/
From:       "David Seifert" <soap () gentoo ! org>
Date:       2020-11-30 21:40:15
Message-ID: 1606772391.22559fe330c7f6ff63d007b0f834b097dbe3a27b.soap () gentoo
[Download RAW message or body]

commit:     22559fe330c7f6ff63d007b0f834b097dbe3a27b
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Mon Nov 30 21:39:51 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon Nov 30 21:39:51 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=22559fe3

net-misc/ucarp: port to EAPI 7

Closes: https://github.com/gentoo/gentoo/pull/18448
Closes: https://bugs.gentoo.org/524214
Closes: https://bugs.gentoo.org/689188
Closes: https://bugs.gentoo.org/706964
Package-Manager: Portage-3.0.9, Repoman-3.0.1
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 net-misc/ucarp/files/ucarp-1.5.2-fno-common.patch   |  8 ++++++++
 ...{ucarp-1.5.2-r5.ebuild => ucarp-1.5.2-r6.ebuild} | 21 ++++++++++++++-------
 2 files changed, 22 insertions(+), 7 deletions(-)

diff --git a/net-misc/ucarp/files/ucarp-1.5.2-fno-common.patch \
b/net-misc/ucarp/files/ucarp-1.5.2-fno-common.patch new file mode 100644
index 00000000000..6e746b26da6
--- /dev/null
+++ b/net-misc/ucarp/files/ucarp-1.5.2-fno-common.patch
@@ -0,0 +1,8 @@
+--- a/src/ip_carp.h
++++ b/src/ip_carp.h
+@@ -70,7 +70,7 @@ struct carp_header {
+         u_int16_t       carp_cksum;
+         u_int32_t       carp_counter[2];
+         unsigned char   carp_md[20];    /* SHA1 HMAC */
+-} __packed;
++};

diff --git a/net-misc/ucarp/ucarp-1.5.2-r5.ebuild \
b/net-misc/ucarp/ucarp-1.5.2-r6.ebuild similarity index 77%
rename from net-misc/ucarp/ucarp-1.5.2-r5.ebuild
rename to net-misc/ucarp/ucarp-1.5.2-r6.ebuild
index 00283bf58e8..a843fc050bf 100644
--- a/net-misc/ucarp/ucarp-1.5.2-r5.ebuild
+++ b/net-misc/ucarp/ucarp-1.5.2-r6.ebuild
@@ -1,23 +1,28 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI="5"
+EAPI=7
 
 DESCRIPTION="Portable userland implementation of Common Address Redundancy Protocol \
                (CARP)"
-HOMEPAGE="http://www.ucarp.org"
+HOMEPAGE="https://ucarp.wordpress.com"
 SRC_URI="ftp://ftp.ucarp.org/pub/ucarp/${P}.tar.gz"
 
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~ppc ~x86"
-IUSE="nls"
+IUSE="debug nls"
 
 RDEPEND="net-libs/libpcap"
-DEPEND="${RDEPEND}
-	nls? ( sys-devel/gettext )"
+DEPEND="${RDEPEND}"
+BDEPEND="nls? ( sys-devel/gettext )"
+
+PATCHES=( "${FILESDIR}"/${P}-fno-common.patch )
 
 src_configure() {
-	econf $(use_enable nls)
+	econf \
+		--disable-static \
+		$(use_with debug) \
+		$(use_enable nls)
 }
 
 src_install() {
@@ -33,6 +38,8 @@ src_install() {
 
 	newinitd "${FILESDIR}"/ucarp.initd-r2 ucarp
 	newconfd "${FILESDIR}"/ucarp.confd ucarp
+
+	find "${ED}" -name '*.la' -delete || die
 }
 
 pkg_postinst() {


[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic